FLANG

Public Member Functions | List of all members
Fortran::evaluate::Component Class Reference

## Public Member Functions
| Component (const DataRef &b, const Symbol &c)
| Component (DataRef &&b, const Symbol &c)
| Component (common::CopyableIndirection< DataRef > &&b, const Symbol &c)
const DataRef & | base () const
DataRef & | base ()
int | Rank () const
const Symbol & | GetFirstSymbol () const
const Symbol & | GetLastSymbol () const
std::optional< Expr< SubscriptInteger > > | LEN () const
bool | operator== (const Component &) const
llvm::raw_ostream & | AsFortran (llvm::raw_ostream &) const

The documentation for this class was generated from the following files:

- include/flang/Evaluate/variable.h
- lib/Evaluate/formatting.cpp
- lib/Evaluate/variable.cpp